## kpublictransport 25.11.90

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "11")
set (RELEASE_SERVICE_VERSION_MICRO "90")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(KPublicTransport VERSION ${RELEASE_SERVICE_VERSION})

find_package(ECM 6.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(GenerateExportHeader)
include(ECMAddQch)
include(ECMQmlModule)
include(ECMFindQmlModule)

set(CMAKE_CXX_STANDARD 23)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX KPUBLICTRANSPORT
    VERSION_HEADER kpublictransport_version.h
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPublicTransportConfigVersion.cmake"
    SOVERSION 1
)

find_package(Qt6 6.5 REQUIRED COMPONENTS Quick Location)

if (BUILD_TESTING)
    find_package(Qt6 6.5 REQUIRED COMPONENTS Test Widgets)
endif()

find_package(ZLIB REQUIRED)
find_package(OsmTools)
set_package_properties(OsmTools PROPERTIES TYPE OPTIONAL PURPOSE "Needed only for regenereating line metadata tables (you don't need this for distribution)")
if (NOT CMAKE_CROSSCOMPILING)
    find_package(PolyClipping)
    set_package_properties(PolyClipping PROPERTIES TYPE OPTIONAL PURPOSE "Needed only for processing coverage area data from the Transport API Repository (you don't need this for distribution)")
endif()

if (NOT WIN32)
    find_package(Protobuf)
    set_package_properties(Protobuf PROPERTIES TYPE OPTIONAL PURPOSE "Parsing of OSM PBF files.")
endif()

if (UNIX AND NOT ANDROID)
    find_package(KF6NetworkManagerQt)
    set_package_properties(KF6NetworkManagerQt PROPERTIES TYPE OPTIONAL PURPOSE "Onboard status detection.")
endif()
if (ANDROID)
    find_package(Gradle)
endif()

find_package(KF6 6.11 REQUIRED COMPONENTS I18n)
find_package(KF6KirigamiAddons 1.6.0 REQUIRED)

set(KPUBLICTRANSPORT_INSTALL_INCLUDEDIR ${KDE_INSTALL_INCLUDEDIR}/KPublicTransport)

ecm_set_disabled_deprecation_versions(QT 6.7 KF 6.11.0)

add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()


ecm_find_qmlmodule(org.kde.kitemmodels ${KF_MIN_VERSION})

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPublicTransport")

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kpublictransport_version.h DESTINATION ${KPUBLICTRANSPORT_INSTALL_INCLUDEDIR} COMPONENT Devel)

install(EXPORT KPublicTransportTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPublicTransportTargets.cmake)

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPublicTransport_QCH
        FILE KPublicTransportQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPublicTransportQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPublicTransportConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPublicTransportConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPublicTransportConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPublicTransportConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)
ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kpublictransport (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:11:27 +0000

=== debian/control ===
Source: kpublictransport
Priority: optional
Section: libs
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Matthias Geiger <matthias.geiger1024@tutanota.de>,
Build-Depends: cmake (>= 3.16),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.0~),
               kirigami-addons-dev (>= 1.6.0~),
               libkf6i18n-dev (>= 6.11~),
               libkf6networkmanagerqt-dev,
               libprotobuf-dev,
               pkg-kde-tools,
               pkgconf,
               qml6-module-org-kde-kirigami,
               qt6-base-dev (>= 6.5~),
               qt6-declarative-dev (>= 6.5~),
               qt6-declarative-private-dev,
               qt6-location-dev (>= 6.5~),
               qt6-positioning-dev (>= 6.5~),
               tzdata <!nocheck>,
               zlib1g-dev,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/libraries/kpublictransport
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpublictransport
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpublictransport
Rules-Requires-Root: no

Package: libkpublictransport1
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: kpublictransport-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Library to assist with accessing public transport
 A library providing a public transport API.
 .
 This package contains the main data.

Package: kpublictransport-data
Architecture: all
Multi-Arch: foreign
Section: kde
Depends: ${misc:Depends},
Description: Library to assist with accessing public transport (data files)
 The data files for a public transport API
 .
 This package contains the data files.

Package: libkpublictransport-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkpublictransport1 (= ${binary:Version}),
         libkpublictransportonboard1 (= ${binary:Version}),
         qml6-module-org-kde-kpublictransport (= ${binary:Version}),
         ${misc:Depends},
Description: Library to assist with accessing public transport (development files)
 A library providing a public transport API.
 .
 This package contains the development files and headers.

Package: libkpublictransportonboard1
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: kpublictransport-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Library to assist with accessing public transport onboard system
 A library providing a public transport API.
 .
 This package contains the onboard library.

Package: qml6-module-org-kde-kpublictransport
Architecture: any
Multi-Arch: same
Section: kde
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Library to assist with accessing public transport (qml plugin)
 A QtQuick plugin providing a public transport API
 .
 This package contains the runtime qml module.

## kpublictransport 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KPublicTransport VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kpublictransport (25.12.0-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 20:15:50 +0000

kpublictransport (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:43:55 +1000

## kpublictransport 25.12.0+p24.04+vstable+git20251231.0240

=== debian/changelog ===
kpublictransport (25.12.0+p24.04+vstable+git20251231.0240-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:40:43 +0000

=== debian/control ===
Source: kpublictransport
Section: libs
Priority: optional
Build-Depends: bison,
               cmake,
               debhelper-compat (= 13),
               doxygen,
               flex,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-networkmanager-qt-dev,
               libprotobuf-dev,
               osmctools,
               pkg-kde-tools-neon,
               pkgconf,
               protobuf-compiler,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-location-dev,
               qt6-positioning-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://cgit.kde.org/kpublictransport.git/
Vcs-Git: https://invent.kde.org/neon/extras/kpublictransport.git
Vcs-Browser: https://invent.kde.org/neon/extras/kpublictransport
Maintainer: Neon CI <neon@kde.org>

Package: libkpublictransport-dev
Section: libdevel
Architecture: any
Depends: libkpublictransport1 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends}
Breaks: libkpublictransport1 (<< 24.02.0-1)
Replaces: libkpublictransport1 (<< 24.02.0-1)
Description: library to access public transport timetables - development files
 This library provides an API for to assist with accessing public
 transport timetables and other information.  Travel Reservation
 information.
 .
 This package contains the development files.

Package: libkpublictransport1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to assist with accessing public transport timetables
 This library provides an API for to assist with accessing public
 transport timetables and other information.  Travel Reservation
 information.

Package: qml6-module-org-kde-kpublictransport
Architecture: any
Multi-Arch: same
Depends: kf6-kirigami-addons,
         qml6-module-qtquick,
         ${misc:Depends},
         ${shlibs:Depends}
Description: library to assist with accessing public transport timetables
 This library provides an API for to assist with accessing public
 transport timetables and other information.  Travel Reservation
 information.
 .
 Qt Quick Module.

## kpublictransport 25.12.0+p24.04+vstable+git20260101.0152

=== debian/changelog ===
kpublictransport (25.12.0+p24.04+vstable+git20260101.0152-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 01:52:44 +0000

## kpublictransport 25.12.0+p24.04+vstable+git20260103.0247

=== debian/changelog ===
kpublictransport (25.12.0+p24.04+vstable+git20260103.0247-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 02:47:06 +0000

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- \
	-DBUILD_QCH=ON

## kpublictransport 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KPublicTransport VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kpublictransport (25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sat, 17 Jan 2026 11:15:38 +0000

kpublictransport (25.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Switch to debian/watch format version 5.
  * Add/update Heiko Becker’s key in upstream keyring.
  * Add build dependency on qt6-positioning-dev until qt6-location-dev
    correctly depends on it.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 14 Jan 2026 14:15:55 +0100

kpublictransport (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:11:12 +0000

kpublictransport (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:29:31 +0000

=== debian/control ===
Source: kpublictransport
Priority: optional
Section: libs
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Matthias Geiger <matthias.geiger1024@tutanota.de>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16),
               extra-cmake-modules (>= 6.0~),
               kirigami-addons-dev (>= 1.6.0~),
               libkf6i18n-dev (>= 6.11~),
               libkf6networkmanagerqt-dev,
               libprotobuf-dev,
               pkg-kde-tools,
               pkgconf,
               qml6-module-org-kde-kirigami,
               qt6-base-dev (>= 6.5~),
               qt6-declarative-dev (>= 6.5~),
               qt6-declarative-private-dev,
               qt6-location-dev (>= 6.5~),
               qt6-positioning-dev,
               tzdata <!nocheck>,
               zlib1g-dev,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/libraries/kpublictransport
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpublictransport
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpublictransport

Package: libkpublictransport1
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: kpublictransport-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Library to assist with accessing public transport
 A library providing a public transport API.
 .
 This package contains the main data.

Package: kpublictransport-data
Architecture: all
Multi-Arch: foreign
Section: kde
Depends: ${misc:Depends},
Description: Library to assist with accessing public transport (data files)
 The data files for a public transport API
 .
 This package contains the data files.

Package: libkpublictransport-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkpublictransport1 (= ${binary:Version}),
         libkpublictransportonboard1 (= ${binary:Version}),
         qml6-module-org-kde-kpublictransport (= ${binary:Version}),
         ${misc:Depends},
Description: Library to assist with accessing public transport (development files)
 A library providing a public transport API.
 .
 This package contains the development files and headers.

Package: libkpublictransportonboard1
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: kpublictransport-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Library to assist with accessing public transport onboard system
 A library providing a public transport API.
 .
 This package contains the onboard library.

Package: qml6-module-org-kde-kpublictransport
Architecture: any
Multi-Arch: same
Section: kde
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Library to assist with accessing public transport (qml plugin)
 A QtQuick plugin providing a public transport API
 .
 This package contains the runtime qml module.

## kpublictransport 25.12.1+p24.04+vstable+git20260131.0302

=== debian/changelog ===
kpublictransport (25.12.1+p24.04+vstable+git20260131.0302-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 03:02:29 +0000

kpublictransport (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:36:25 +1000

## kpublictransport 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KPublicTransport VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kpublictransport (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:42:34 +0000

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Matthias Geiger <matthias.geiger1024@tutanota.de>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16),
                extra-cmake-modules (>= 6.0~),
                kirigami-addons-dev (>= 1.6.0~),
                libkf6i18n-dev (>= 6.11~),

## kpublictransport 25.12.2+p24.04+vunstable+git20260206.0812

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KPublicTransport VERSION ${RELEASE_SERVICE_VERSION})
 
@@ -38,10 +38,10 @@
     SOVERSION 1
 )
 
-find_package(Qt6 6.5 REQUIRED COMPONENTS Quick Location)
+find_package(Qt6 6.8 REQUIRED COMPONENTS Quick Location)
 
 if (BUILD_TESTING)
-    find_package(Qt6 6.5 REQUIRED COMPONENTS Test Widgets)
+    find_package(Qt6 6.8 REQUIRED COMPONENTS Test Widgets)
 endif()
 
 find_package(ZLIB REQUIRED)

=== src/osm/io/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020-2022 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

if (Protobuf_FOUND AND Protobuf_PROTOC_EXECUTABLE AND NOT CMAKE_CROSSCOMPILING)
    PROTOBUF_GENERATE_CPP(pbf_srcs pbf_hdrs
        ../pbf/fileformat.proto
        ../pbf/osmformat.proto
    )
    set_source_files_properties(${pbf_srcs} ${pbf_hdrs} PROPERTIES SKIP_AUTOMOC ON)

    add_library(KOSM_pbfioplugin STATIC)
    target_sources(KOSM_pbfioplugin PRIVATE
        ${pbf_srcs}
        osmpbfplugin.cpp
        ../osmpbfparser.cpp
    )
    target_include_directories(KOSM_pbfioplugin PRIVATE ${Protobuf_INCLUDE_DIRS})
    target_compile_definitions(KOSM_pbfioplugin PRIVATE -DQT_STATICPLUGIN=1)
    set_target_properties(KOSM_pbfioplugin PROPERTIES POSITION_INDEPENDENT_CODE ON)
    target_link_libraries(KOSM_pbfioplugin
        PUBLIC KOSM
        PRIVATE ${Protobuf_LIBRARIES} ZLIB::ZLIB
    )

    # workaroud for https://github.com/protocolbuffers/protobuf/issues/10108
    if (Protobuf_VERSION VERSION_LESS 3.22)
        target_compile_definitions(KOSM_pbfioplugin PRIVATE -DGOOGLE_PROTOBUF_INTERNAL_DONATE_STEAL_INLINE=0)
    endif()
    # workaround for a similar still unresolved issue with using undefined defines...
    target_compile_definitions(KOSM_pbfioplugin PRIVATE -DPROTOBUF_ENABLE_DEBUG_LOGGING_MAY_LEAK_PII=0)
endif()

add_library(KOSM_xmlioplugin STATIC)
target_sources(KOSM_xmlioplugin PRIVATE
    xmlplugin.cpp
    ../xmlparser.cpp
    ../xmlwriter.cpp
)
set_target_properties(KOSM_xmlioplugin PROPERTIES POSITION_INDEPENDENT_CODE ON)
target_compile_definitions(KOSM_xmlioplugin PRIVATE -DQT_STATICPLUGIN=1)
target_link_libraries(KOSM_xmlioplugin PUBLIC KOSM)

=== debian/changelog ===
kpublictransport (25.12.2+p24.04+vunstable+git20260206.0812-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 08:12:22 +0000

kpublictransport (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 04:37:33 +0000

## kpublictransport 25.12.2+p24.04+vunstable+git20260209.0639

=== debian/changelog ===
kpublictransport (25.12.2+p24.04+vunstable+git20260209.0639-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 09 Feb 2026 06:39:03 +0000
